Commit fdb37f07 authored by Bruce Momjian's avatar Bruce Momjian

this patch solve 2 problemes :

probleme number 1 :

- configure can find the library readline , but don't
  find the header file . so in this case we don't use lib readline
  .

probleme number 2 :

- when you have postgres 6.2.1 and readline installed
  with the same prefix( and generally all your software ) .  you
  can compile the version 6.3 .  I use this prefix , when configure
  ask me for "Additional directories to search for include files"
  .

  ( because there a conflict in the header when you
    compile psql.c ) In this case, you must permut the sequence of
  directive -I .

Erwan MAS
parent 34fec161
...@@ -7,14 +7,14 @@ ...@@ -7,14 +7,14 @@
# #
# #
# IDENTIFICATION # IDENTIFICATION
# $Header: /cvsroot/pgsql/src/bin/psql/Attic/Makefile.in,v 1.6 1998/01/04 19:12:21 scrappy Exp $ # $Header: /cvsroot/pgsql/src/bin/psql/Attic/Makefile.in,v 1.7 1998/04/05 21:29:35 momjian Exp $
# #
#------------------------------------------------------------------------- #-------------------------------------------------------------------------
SRCDIR= ../.. SRCDIR= ../..
include ../../Makefile.global include ../../Makefile.global
CFLAGS+= -I$(LIBPQDIR) CFLAGS:= -I$(LIBPQDIR) $(CFLAGS)
# #
# And where libpq goes, so goes the authentication stuff... # And where libpq goes, so goes the authentication stuff...
......
...@@ -7,7 +7,7 @@ ...@@ -7,7 +7,7 @@
* *
* *
* IDENTIFICATION * IDENTIFICATION
* $Header: /cvsroot/pgsql/src/bin/psql/Attic/psql.c,v 1.137 1998/03/16 14:27:38 momjian Exp $ * $Header: /cvsroot/pgsql/src/bin/psql/Attic/psql.c,v 1.138 1998/04/05 21:29:36 momjian Exp $
* *
*------------------------------------------------------------------------- *-------------------------------------------------------------------------
*/ */
...@@ -38,13 +38,19 @@ ...@@ -38,13 +38,19 @@
#ifdef HAVE_LIBREADLINE #ifdef HAVE_LIBREADLINE
#ifdef HAVE_READLINE_H #ifdef HAVE_READLINE_H
#include <readline.h> #include <readline.h>
#define USE_READLINE 1
#if defined(HAVE_HISTORY) #if defined(HAVE_HISTORY)
#include <history.h> #include <history.h>
#define USE_HISTORY 1
#endif #endif
#else #else
#if defined(HAVE_READLINE_READLINE_H)
#include <readline/readline.h> #include <readline/readline.h>
#define USE_READLINE 1
#if defined(HAVE_READLINE_HISTORY_H) #if defined(HAVE_READLINE_HISTORY_H)
#include <readline/history.h> #include <readline/history.h>
#define USE_HISTORY 1
#endif
#endif #endif
#endif #endif
#endif #endif
...@@ -931,7 +937,7 @@ gets_readline(char *prompt, FILE *source) ...@@ -931,7 +937,7 @@ gets_readline(char *prompt, FILE *source)
{ {
char *s; char *s;
#ifdef HAVE_LIBREADLINE #ifdef USE_READLINE
s = readline(prompt); s = readline(prompt);
#else #else
char buf[500]; char buf[500];
...@@ -2013,7 +2019,7 @@ HandleSlashCmds(PsqlSettings *pset, ...@@ -2013,7 +2019,7 @@ HandleSlashCmds(PsqlSettings *pset,
case 's': /* \s is save history to a file */ case 's': /* \s is save history to a file */
if (!optarg) if (!optarg)
optarg = "/dev/tty"; optarg = "/dev/tty";
#ifdef HAVE_HISTORY #ifdef USE_HISTORY
if (write_history(optarg) != 0) if (write_history(optarg) != 0)
fprintf(stderr, "cannot write history to %s\n", optarg); fprintf(stderr, "cannot write history to %s\n", optarg);
#endif #endif
...@@ -2137,7 +2143,7 @@ MainLoop(PsqlSettings *pset, char *query, FILE *source) ...@@ -2137,7 +2143,7 @@ MainLoop(PsqlSettings *pset, char *query, FILE *source)
sprintf(pset->prompt, "%s%s", PQdb(pset->db), PROMPT); sprintf(pset->prompt, "%s%s", PQdb(pset->db), PROMPT);
if (pset->useReadline) if (pset->useReadline)
{ {
#ifdef HAVE_HISTORY #ifdef USE_HISTORY
using_history(); using_history();
#endif #endif
GetNextLine = gets_readline; GetNextLine = gets_readline;
...@@ -2187,7 +2193,7 @@ MainLoop(PsqlSettings *pset, char *query, FILE *source) ...@@ -2187,7 +2193,7 @@ MainLoop(PsqlSettings *pset, char *query, FILE *source)
pset->prompt[strlen(pset->prompt) - 3] = PROMPT_READY; pset->prompt[strlen(pset->prompt) - 3] = PROMPT_READY;
} }
line = GetNextLine(pset->prompt, source); line = GetNextLine(pset->prompt, source);
#ifdef HAVE_HISTORY #ifdef USE_HISTORY
if (interactive && pset->useReadline && line != NULL) if (interactive && pset->useReadline && line != NULL)
add_history(line); /* save non-empty lines in history */ add_history(line); /* save non-empty lines in history */
#endif #endif
...@@ -2454,7 +2460,7 @@ main(int argc, char **argv) ...@@ -2454,7 +2460,7 @@ main(int argc, char **argv)
settings.opt.pager = 1; settings.opt.pager = 1;
if (!isatty(0) || !isatty(1)) if (!isatty(0) || !isatty(1))
settings.notty = 1; settings.notty = 1;
#ifdef HAVE_LIBREADLINE #ifdef USE_READLINE
else else
settings.useReadline = 1; settings.useReadline = 1;
#endif #endif
......
...@@ -17,15 +17,15 @@ ac_help="$ac_help ...@@ -17,15 +17,15 @@ ac_help="$ac_help
ac_help="$ac_help ac_help="$ac_help
--with-libraries=DIR site library directories for tk/tcl, etc in DIR" --with-libraries=DIR site library directories for tk/tcl, etc in DIR"
ac_help="$ac_help ac_help="$ac_help
--enable-locale enable locale support " --enable-locale enable locale support "
ac_help="$ac_help ac_help="$ac_help
--enable-recode enable cyrillic recode support " --enable-recode enable cyrillic recode support "
ac_help="$ac_help ac_help="$ac_help
--with-pgport=<portnum> change default startup port " --with-pgport=<portnum> change default startup port "
ac_help="$ac_help ac_help="$ac_help
--with-tcl use tcl " --with-tcl use tcl "
ac_help="$ac_help ac_help="$ac_help
--with-perl use perl " --with-perl use perl "
ac_help="$ac_help ac_help="$ac_help
--enable-cassert enable assertion checks (debugging) " --enable-cassert enable assertion checks (debugging) "
ac_help="$ac_help ac_help="$ac_help
...@@ -589,10 +589,10 @@ echo "$ac_t""$host" 1>&6 ...@@ -589,10 +589,10 @@ echo "$ac_t""$host" 1>&6
tas_file=dummy.s tas_file=dummy.s
case "$host_os" in case "$host_os" in
solaris*) solaris*)
case "$host_cpu" in case "$host_cpu" in
sparc) os=sparc_solaris need_tas=yes tas_file=sparc_solaris.s ;; sparc) os=sparc_solaris need_tas=yes tas_file=sparc_solaris.s ;;
i386) os=i386_solaris need_tas=yes tas_file=i386_solaris.s ;; i386) os=i386_solaris need_tas=yes tas_file=i386_solaris.s ;;
esac ;; esac ;;
sunos*) os=sunos4 need_tas=no ;; sunos*) os=sunos4 need_tas=no ;;
aux*) os=aux need_tas=no ;; aux*) os=aux need_tas=no ;;
linux*) os=linux need_tas=no ;; linux*) os=linux need_tas=no ;;
...@@ -608,10 +608,10 @@ nextstep*) os=nextstep need_tas=no ;; ...@@ -608,10 +608,10 @@ nextstep*) os=nextstep need_tas=no ;;
sco*) os=sco need_tas=no ;; sco*) os=sco need_tas=no ;;
machten*) os=machten need_tas=no ;; machten*) os=machten need_tas=no ;;
cygwin*) os=win need_tas=no ;; cygwin*) os=win need_tas=no ;;
sysv4.2*) sysv4.2*)
case "$host_vendor" in case "$host_vendor" in
univel) os=univel need_tas=no ;; univel) os=univel need_tas=no ;;
*) os=unknown need_tas=no ;; *) os=unknown need_tas=no ;;
esac ;; esac ;;
sysv4*) os=svr4 need_tas=no ;; sysv4*) os=svr4 need_tas=no ;;
*) echo "" *) echo ""
...@@ -630,14 +630,14 @@ if test "X$need_tas" = "Xyes" ...@@ -630,14 +630,14 @@ if test "X$need_tas" = "Xyes"
then then
TAS=tas.o TAS=tas.o
fi fi
PORTNAME=${os} PORTNAME=${os}
...@@ -702,7 +702,7 @@ EOT ...@@ -702,7 +702,7 @@ EOT
echo "You must choose an appropriate template file." echo "You must choose an appropriate template file."
exit exit
fi fi
TEMPLATE=template/$TEMPLATE TEMPLATE=template/$TEMPLATE
fi fi
export TEMPLATE export TEMPLATE
echo "" echo ""
...@@ -737,11 +737,11 @@ fi ...@@ -737,11 +737,11 @@ fi
if test "$INCLUDE_DIRS"; then if test "$INCLUDE_DIRS"; then
for dir in $INCLUDE_DIRS; do for dir in $INCLUDE_DIRS; do
if test -d "$dir"; then if test -d "$dir"; then
PGSQL_CPPFLAGS="$PGSQL_CPPFLAGS -I$dir" PGSQL_CPPFLAGS="$PGSQL_CPPFLAGS -I$dir"
else else
echo "configure: warning: *** Include directory $dir does not exist." 1>&2 echo "configure: warning: *** Include directory $dir does not exist." 1>&2
fi fi
done done
fi fi
...@@ -761,11 +761,11 @@ fi ...@@ -761,11 +761,11 @@ fi
if test "$LIBRARY_DIRS"; then if test "$LIBRARY_DIRS"; then
for dir in $withval; do for dir in $withval; do
if test -d "$dir"; then if test -d "$dir"; then
PGSQL_LDFLAGS="$PGSQL_LDFLAGS -L$dir" PGSQL_LDFLAGS="$PGSQL_LDFLAGS -L$dir"
else else
echo "configure: warning: *** Library directory $dir does not exist." 1>&2 echo "configure: warning: *** Library directory $dir does not exist." 1>&2
fi fi
done done
fi fi
...@@ -834,18 +834,18 @@ if test "$USE_TCL"; then ...@@ -834,18 +834,18 @@ if test "$USE_TCL"; then
tcl_dirs="tcl8.0 tcl80 tcl7.6 tcl76" tcl_dirs="tcl8.0 tcl80 tcl7.6 tcl76"
tk_dirs="tk8.0 tk4.2" tk_dirs="tk8.0 tk4.2"
for dir in $header_dirs; do for dir in $header_dirs; do
for tcl_dir in $tcl_dirs; do for tcl_dir in $tcl_dirs; do
if test -d "$dir/$tcl_dir"; then if test -d "$dir/$tcl_dir"; then
PGSQL_CPPFLAGS="$PGSQL_CPPFLAGS -I$dir/$tcl_dir" PGSQL_CPPFLAGS="$PGSQL_CPPFLAGS -I$dir/$tcl_dir"
fi fi
done done
done done
for dir in $header_dirs; do for dir in $header_dirs; do
for tk_dir in $tk_dirs; do for tk_dir in $tk_dirs; do
if test -d "$dir/$tk_dir"; then if test -d "$dir/$tk_dir"; then
PGSQL_CPPFLAGS="$PGSQL_CPPFLAGS -I$dir/$tk_dir" PGSQL_CPPFLAGS="$PGSQL_CPPFLAGS -I$dir/$tk_dir"
fi fi
done done
done done
fi fi
export USE_TCL export USE_TCL
...@@ -865,8 +865,8 @@ fi ...@@ -865,8 +865,8 @@ fi
if test "$USE_PERL" = "true"; then if test "$USE_PERL" = "true"; then
if test ! -x $prefix/bin/postgres; then if test ! -x $prefix/bin/postgres; then
echo "configure: warning: perl support disabled; postgres not previously installed" 1>&2 echo "configure: warning: perl support disabled; postgres not previously installed" 1>&2
USE_PERL= USE_PERL=
fi fi
fi fi
export USE_PERL export USE_PERL
...@@ -888,9 +888,9 @@ fi ...@@ -888,9 +888,9 @@ fi
if test "X$with_compiler" != "X" if test "X$with_compiler" != "X"
then then
CC=$with_compiler CC=$with_compiler
else else
# Extract the first word of "gcc", so it can be a program name with args. # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2 set dummy gcc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:897: checking for $ac_word" >&5 echo "configure:897: checking for $ac_word" >&5
...@@ -1187,8 +1187,8 @@ test -n "$INSTALL" || INSTALL="NONE" ...@@ -1187,8 +1187,8 @@ test -n "$INSTALL" || INSTALL="NONE"
if test $INSTALL = "NONE" if test $INSTALL = "NONE"
then then
echo "- No Install Script found - aborting." echo "- No Install Script found - aborting."
exit 0; exit 0;
fi fi
INSTLOPTS="-m 444" INSTLOPTS="-m 444"
...@@ -1211,15 +1211,15 @@ echo "- Using $INSTALL" ...@@ -1211,15 +1211,15 @@ echo "- Using $INSTALL"
ECHO_N_OUT=`echo -n "" | wc -c` ECHO_N_OUT=`echo -n "" | wc -c`
ECHO_C_OUT=`echo "\c" | wc -c` ECHO_C_OUT=`echo "\c" | wc -c`
if test "$ECHO_N_OUT" -eq 0; then if test "$ECHO_N_OUT" -eq 0; then
DASH_N='-n' DASH_N='-n'
BACKSLASH_C= BACKSLASH_C=
else else
if test "ECHO_C_OUT" -eq 0; then if test "ECHO_C_OUT" -eq 0; then
DASH_N= DASH_N=
BACKSLASH_C='\\\\c' BACKSLASH_C='\\\\c'
else else
{ echo "configure: error: "echo behaviour undetermined"" 1>&2; exit 1; } { echo "configure: error: "echo behaviour undetermined"" 1>&2; exit 1; }
fi fi
fi fi
...@@ -1637,11 +1637,11 @@ TRSTRINGS="`echo ABCdef | $TR '[a-z]' '[A-Z]' 2>/dev/null | grep ABCDEF`" ...@@ -1637,11 +1637,11 @@ TRSTRINGS="`echo ABCdef | $TR '[a-z]' '[A-Z]' 2>/dev/null | grep ABCDEF`"
TRCLASS="`echo ABCdef | $TR '[:lower:]' '[:upper:]' 2>/dev/null | grep ABCDEF`" TRCLASS="`echo ABCdef | $TR '[:lower:]' '[:upper:]' 2>/dev/null | grep ABCDEF`"
if test "$TRSTRINGS" = "ABCDEF"; then if test "$TRSTRINGS" = "ABCDEF"; then
TRARGS="'[a-z]' '[A-Z]'" TRARGS="'[a-z]' '[A-Z]'"
elif test "$TRCLASS" = "ABCDEF"; then elif test "$TRCLASS" = "ABCDEF"; then
TRARGS="'[:lower:]' '[:upper:]'" TRARGS="'[:lower:]' '[:upper:]'"
else else
{ echo "configure: error: "Can\'t find method to covert from upper to lower case with tr"" 1>&2; exit 1; } { echo "configure: error: "Can\'t find method to covert from upper to lower case with tr"" 1>&2; exit 1; }
fi fi
...@@ -1710,7 +1710,7 @@ else ...@@ -1710,7 +1710,7 @@ else
echo "$ac_t""no" 1>&6 echo "$ac_t""no" 1>&6
fi fi
if test -f "$YACC" if test -f "$YACC"
then then
echo "- Using $YACC $YFLAGS" echo "- Using $YACC $YFLAGS"
elif test -f "$bison" elif test -f "$bison"
...@@ -2898,7 +2898,7 @@ else ...@@ -2898,7 +2898,7 @@ else
fi fi
done done
for ac_hdr in readline/history.h ieeefp.h fp_class.h netinet/in.h for ac_hdr in readline/readline.h readline/history.h ieeefp.h fp_class.h
do do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'` ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
...@@ -2938,7 +2938,7 @@ else ...@@ -2938,7 +2938,7 @@ else
fi fi
done done
for ac_hdr in string.h strings.h for ac_hdr in netinet/in.h string.h strings.h
do do
ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'` ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
...@@ -4541,12 +4541,12 @@ fi ...@@ -4541,12 +4541,12 @@ fi
if test "$USE_X" = true; then if test "$USE_X" = true; then
ice_save_LIBS="$LIBS" ice_save_LIBS="$LIBS"
ice_save_CFLAGS="$CFLAGS" ice_save_CFLAGS="$CFLAGS"
ice_save_CPPFLAGS="$CPPFLAGS" ice_save_CPPFLAGS="$CPPFLAGS"
ice_save_LDFLAGS="$LDFLAGS" ice_save_LDFLAGS="$LDFLAGS"
# If we find X, set shell vars x_includes and x_libraries to the # If we find X, set shell vars x_includes and x_libraries to the
# paths, otherwise set no_x=yes. # paths, otherwise set no_x=yes.
# Uses ac_ vars as temps to allow command line to override cache and checks. # Uses ac_ vars as temps to allow command line to override cache and checks.
# --without-x overrides everything else, but does not touch the cache. # --without-x overrides everything else, but does not touch the cache.
...@@ -5381,14 +5381,14 @@ fi ...@@ -5381,14 +5381,14 @@ fi
fi fi
LIBS="$LIBS $X_EXTRA_LIBS" LIBS="$LIBS $X_EXTRA_LIBS"
CFLAGS="$CFLAGS $X_CFLAGS" CFLAGS="$CFLAGS $X_CFLAGS"
CPPFLAGS="$CPPFLAGS $X_CFLAGS" CPPFLAGS="$CPPFLAGS $X_CFLAGS"
LDFLAGS="$LDFLAGS $X_LIBS" LDFLAGS="$LDFLAGS $X_LIBS"
X11_LIBS=""
echo $ac_n "checking for XOpenDisplay in -lX11""... $ac_c" 1>&6 X11_LIBS=""
echo $ac_n "checking for XOpenDisplay in -lX11""... $ac_c" 1>&6
echo "configure:5393: checking for XOpenDisplay in -lX11" >&5 echo "configure:5393: checking for XOpenDisplay in -lX11" >&5
ac_lib_var=`echo X11'_'XOpenDisplay | sed 'y%./+-%__p_%'` ac_lib_var=`echo X11'_'XOpenDisplay | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
...@@ -5428,27 +5428,27 @@ else ...@@ -5428,27 +5428,27 @@ else
echo "$ac_t""no" 1>&6 echo "$ac_t""no" 1>&6
fi fi
if test "$X11_LIBS" = ""; then if test "$X11_LIBS" = ""; then
echo "configure: warning: The X11 library '-lX11' could not be found. echo "configure: warning: The X11 library '-lX11' could not be found.
Please use the configure options '--x-includes=DIR' Please use the configure options '--x-includes=DIR'
and '--x-libraries=DIR' to specify the X location. and '--x-libraries=DIR' to specify the X location.
See the file 'config.log' for further diagnostics." 1>&2 See the file 'config.log' for further diagnostics." 1>&2
fi fi
LIBS="$ice_save_LIBS" LIBS="$ice_save_LIBS"
CFLAGS="$ice_save_CFLAGS" CFLAGS="$ice_save_CFLAGS"
CPPFLAGS="$ice_save_CPPFLAGS" CPPFLAGS="$ice_save_CPPFLAGS"
LDFLAGS="$ice_save_LDFLAGS" LDFLAGS="$ice_save_LDFLAGS"
fi fi
if test "$USE_TCL" = "true" if test "$USE_TCL" = "true"
then then
TCL_INCDIR=no TCL_INCDIR=no
ac_safe=`echo "tcl.h" | sed 'y%./+-%__p_%'` ac_safe=`echo "tcl.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for tcl.h""... $ac_c" 1>&6 echo $ac_n "checking for tcl.h""... $ac_c" 1>&6
echo "configure:5454: checking for tcl.h" >&5 echo "configure:5454: checking for tcl.h" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
...@@ -5481,18 +5481,18 @@ else ...@@ -5481,18 +5481,18 @@ else
echo "$ac_t""no" 1>&6 echo "$ac_t""no" 1>&6
fi fi
if test "$TCL_INCDIR" = "no"; then if test "$TCL_INCDIR" = "no"; then
echo "configure: warning: tcl support disabled; tcl.h missing" 1>&2 echo "configure: warning: tcl support disabled; tcl.h missing" 1>&2
USE_TCL= USE_TCL=
fi fi
fi fi
if test "$USE_TCL" = "true"; then if test "$USE_TCL" = "true"; then
TCL_LIB= TCL_LIB=
tcl_libs="tcl8.0 tcl80 tcl7.6 tcl76 tcl" tcl_libs="tcl8.0 tcl80 tcl7.6 tcl76 tcl"
for tcl_lib in $tcl_libs; do for tcl_lib in $tcl_libs; do
if test -z "$TCL_LIB"; then if test -z "$TCL_LIB"; then
echo $ac_n "checking for main in -l$tcl_lib""... $ac_c" 1>&6 echo $ac_n "checking for main in -l$tcl_lib""... $ac_c" 1>&6
echo "configure:5497: checking for main in -l$tcl_lib" >&5 echo "configure:5497: checking for main in -l$tcl_lib" >&5
ac_lib_var=`echo $tcl_lib'_'main | sed 'y%./+-%__p_%'` ac_lib_var=`echo $tcl_lib'_'main | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
...@@ -5528,13 +5528,13 @@ else ...@@ -5528,13 +5528,13 @@ else
echo "$ac_t""no" 1>&6 echo "$ac_t""no" 1>&6
fi fi
fi fi
done done
if test -z "$TCL_LIB"; then if test -z "$TCL_LIB"; then
echo "configure: warning: tcl support disabled; Tcl library missing" 1>&2 echo "configure: warning: tcl support disabled; Tcl library missing" 1>&2
USE_TCL= USE_TCL=
else else
TCL_LIB=-l$TCL_LIB TCL_LIB=-l$TCL_LIB
fi fi
fi fi
...@@ -5542,28 +5542,27 @@ fi ...@@ -5542,28 +5542,27 @@ fi
if test "$USE_TCL" = "true" if test "$USE_TCL" = "true"
then then
ice_save_LIBS="$LIBS"
ice_save_CFLAGS="$CFLAGS"
ice_save_CPPFLAGS="$CPPFLAGS"
ice_save_LDFLAGS="$LDFLAGS"
ice_save_LIBS="$LIBS" CPPFLAGS="$CPPFLAGS $X_CFLAGS"
ice_save_CFLAGS="$CFLAGS"
ice_save_CPPFLAGS="$CPPFLAGS"
ice_save_LDFLAGS="$LDFLAGS"
CPPFLAGS="$CPPFLAGS $X_CFLAGS"
TK_INCDIR=no TK_INCDIR=no
ac_safe=`echo "tk.h" | sed 'y%./+-%__p_%'` ac_safe=`echo "tk.h" | sed 'y%./+-%__p_%'`
echo $ac_n "checking for tk.h""... $ac_c" 1>&6 echo $ac_n "checking for tk.h""... $ac_c" 1>&6
echo "configure:5557: checking for tk.h" >&5 echo "configure:5556: checking for tk.h" >&5
if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6 echo $ac_n "(cached) $ac_c" 1>&6
else else
cat > conftest.$ac_ext <<EOF cat > conftest.$ac_ext <<EOF
#line 5562 "configure" #line 5561 "configure"
#include "confdefs.h" #include "confdefs.h"
#include <tk.h> #include <tk.h>
EOF EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out" ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:5567: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; } { (eval echo configure:5566: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out` ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then if test -z "$ac_err"; then
rm -rf conftest* rm -rf conftest*
...@@ -5584,33 +5583,34 @@ else ...@@ -5584,33 +5583,34 @@ else
echo "$ac_t""no" 1>&6 echo "$ac_t""no" 1>&6
fi fi
if test "$TK_INCDIR" = "no"; then if test "$TK_INCDIR" = "no"; then
echo "configure: warning: tcl support disabled; tk.h missing" 1>&2 echo "configure: warning: tcl support disabled; tk.h missing" 1>&2
USE_TCL= USE_TCL=
fi fi
LIBS="$ice_save_LIBS" LIBS="$ice_save_LIBS"
CFLAGS="$ice_save_CFLAGS" CFLAGS="$ice_save_CFLAGS"
CPPFLAGS="$ice_save_CPPFLAGS" CPPFLAGS="$ice_save_CPPFLAGS"
LDFLAGS="$ice_save_LDFLAGS" LDFLAGS="$ice_save_LDFLAGS"
fi fi
if test "$USE_TCL" = "true" if test "$USE_TCL" = "true"
then then
ice_save_LIBS="$LIBS" ice_save_LIBS="$LIBS"
ice_save_CFLAGS="$CFLAGS" ice_save_CFLAGS="$CFLAGS"
ice_save_CPPFLAGS="$CPPFLAGS" ice_save_CPPFLAGS="$CPPFLAGS"
ice_save_LDFLAGS="$LDFLAGS" ice_save_LDFLAGS="$LDFLAGS"
LIBS="$LIBS $X_EXTRA_LIBS"
CFLAGS="$CFLAGS $X_CFLAGS" LIBS="$LIBS $X_EXTRA_LIBS"
CPPFLAGS="$CPPFLAGS $X_CFLAGS" CFLAGS="$CFLAGS $X_CFLAGS"
LDFLAGS="$LDFLAGS $X_LIBS" CPPFLAGS="$CPPFLAGS $X_CFLAGS"
TK_LIB= LDFLAGS="$LDFLAGS $X_LIBS"
TK_LIB= TK_LIB=
tk_libs="tk8.0 tk80 tk4.2 tk42 tk" tk_libs="tk8.0 tk80 tk4.2 tk42 tk"
for tk_lib in $tk_libs; do for tk_lib in $tk_libs; do
if test -z "$TK_LIB"; then if test -z "$TK_LIB"; then
echo $ac_n "checking for main in -l$tk_lib""... $ac_c" 1>&6 echo $ac_n "checking for main in -l$tk_lib""... $ac_c" 1>&6
echo "configure:5615: checking for main in -l$tk_lib" >&5 echo "configure:5615: checking for main in -l$tk_lib" >&5
ac_lib_var=`echo $tk_lib'_'main | sed 'y%./+-%__p_%'` ac_lib_var=`echo $tk_lib'_'main | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
...@@ -5646,20 +5646,21 @@ else ...@@ -5646,20 +5646,21 @@ else
echo "$ac_t""no" 1>&6 echo "$ac_t""no" 1>&6
fi fi
fi fi
done done
if test -z "$TK_LIB"; then if test -z "$TK_LIB"; then
echo "configure: warning: tk support disabled; Tk library missing" 1>&2 echo "configure: warning: tk support disabled; Tk library missing" 1>&2
USE_TCL= USE_TCL=
else else
TK_LIB=-l$TK_LIB TK_LIB=-l$TK_LIB
fi fi
fi
LIBS="$ice_save_LIBS" LIBS="$ice_save_LIBS"
CFLAGS="$ice_save_CFLAGS" CFLAGS="$ice_save_CFLAGS"
CPPFLAGS="$ice_save_CPPFLAGS" CPPFLAGS="$ice_save_CPPFLAGS"
LDFLAGS="$ice_save_LDFLAGS" LDFLAGS="$ice_save_LDFLAGS"
fi fi
trap '' 1 2 15 trap '' 1 2 15
...@@ -6110,4 +6111,4 @@ EOF ...@@ -6110,4 +6111,4 @@ EOF
chmod +x $CONFIG_STATUS chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
...@@ -453,8 +453,8 @@ AC_HEADER_SYS_WAIT ...@@ -453,8 +453,8 @@ AC_HEADER_SYS_WAIT
AC_CHECK_HEADERS(limits.h unistd.h termios.h values.h sys/select.h) AC_CHECK_HEADERS(limits.h unistd.h termios.h values.h sys/select.h)
AC_CHECK_HEADERS(sys/resource.h netdb.h arpa/inet.h getopt.h) AC_CHECK_HEADERS(sys/resource.h netdb.h arpa/inet.h getopt.h)
AC_CHECK_HEADERS(readline.h history.h dld.h crypt.h endian.h float.h) AC_CHECK_HEADERS(readline.h history.h dld.h crypt.h endian.h float.h)
AC_CHECK_HEADERS(readline/history.h ieeefp.h fp_class.h netinet/in.h) AC_CHECK_HEADERS(readline/readline.h readline/history.h ieeefp.h fp_class.h)
AC_CHECK_HEADERS(string.h strings.h) AC_CHECK_HEADERS(netinet/in.h string.h strings.h)
dnl Checks for typedefs, structures, and compiler characteristics. dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST AC_C_CONST
......
...@@ -68,6 +68,9 @@ ...@@ -68,6 +68,9 @@
/* Set to 1 if you have <readline/history.h> */ /* Set to 1 if you have <readline/history.h> */
#undef HAVE_READLINE_HISTORY_H #undef HAVE_READLINE_HISTORY_H
/* Set to 1 if you have <readline/readline.h> */
#undef HAVE_READLINE_READLINE_H
/* Set to 1 if you have <dld.h> */ /* Set to 1 if you have <dld.h> */
#undef HAVE_DLD_H #undef HAVE_DLD_H
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment